Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_vm_tag Struct Reference

`#include <vm_core.h>`

## Data Fields
VALUE | tag
VALUE | retval
rb_jmpbuf_t | buf
struct rb_vm_tag * | prev

## Detailed Description

Definition at line 488 of file vm_core.h.

## Field Documentation

rb_jmpbuf_t rb_vm_tag::buf

Definition at line 491 of file vm_core.h.

Referenced by rb_threadptr_tag_jump().

struct rb_vm_tag* rb_vm_tag::prev

Definition at line 492 of file vm_core.h.

Referenced by rb_threadptr_exec_event_hooks_orig(), and rb_throw_obj().

VALUE rb_vm_tag::retval

Definition at line 490 of file vm_core.h.

Referenced by rb_catch_protect(), rb_throw_obj(), and rb_vm_make_jump_tag_but_local_jump().

VALUE rb_vm_tag::tag

Definition at line 489 of file vm_core.h.

Referenced by cont_restore_thread(), rb_catch_protect(), rb_f_catch(), and rb_throw_obj().

The documentation for this struct was generated from the following file:

- vm_core.h